Copy PageGet results or master dataget https://{subdomain}.alisqi.com/api/getResultsUse this API operation to get (quality) results from analysis sets or master data from selection lists.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Query ParamssetIdintegerrequiredThe unique id of the analysis set or selection list. This parameter is required and has no default. Note: for historical reasons, this parameter is usually called maskid in AlisQI URLs. The API uses setId for consistency with the terminology used in the user interface.limitinteger≤ 17000Defaults to 17000The maximum number of results to return. Defaults to, and is capped at, 17,000. A value of 0 or less, or above 17,000, is not rejected but treated as 17,000.offsetintegerDefaults to 0The zero-based offset used for paging. Defaults to 0.sortstringSort field and direction, specified as field or field:direction, where direction is either asc or desc. Without a direction, results are sorted ascending. Results with equal values are sorted by result id, in the same direction. When sort is left out, the order of the results is not defined. Always specify sort when paging with limit and offset.filterstringJSON object as a string. Specify a filter for the results. Defaults to none. Example: {"status_":[{"value":"5"}]} Note: this parameter is usually called constraints in AlisQI URLs. The API uses filter for consistency with the terminology used in the user interface. Tip: Use the filter widget in the in-app Integration hub to create a JSON filter string.fieldsstringComma-separated list of the fields to include. Defaults to all fields. Use the in-app integration hub to find the field names for a particular set. The pseudo-fields id and lastModificationDate can also be listed here. They have the same effect as includeId=true and includeLastModificationDate=true.includeAttachmentsbooleanDefaults to falseInclude attachments. Defaults to false. Each result object will then include the pseudo-field @attachments, which is an array of objects, each with two properties: filename is the file's title and extension. data is the base64-encoded content of the file. JSON[{ "date": "2000-01-01 00:00", … "@attachments": [{ "filename": "Delivered pallet.jpeg", "data": "/9j/4AAQSkZJRgABAg…" }, { "filename": "Supplier's CoA.pdf", "data": "JVBERi0xLjUKJcOkw7…" }] }] The same format can be used to store attachments with storeResults.truefalseincludeIdbooleanDefaults to falseInclude result id. Defaults to false. Each result object will then include its unique id in the pseudo-field @id. These ids can be used with keyField=@id in the storeResults operation to update existing results. You may also use the ids of selection list options to dynamically build filters.truefalseincludeLastModificationDatebooleanDefaults to falseInclude result last modification date. Defaults to false. To include each result's last modification's date, use the includeLastModificationDate parameter. Each result object will then include it in the pseudo-element @lastModificationDate.truefalseonlyActivebooleanDefaults to trueOnly applies to selection lists: whether to only return active options. Defaults to true. Specifying this parameter for an analysis set results in 400 Bad Request.truefalseResponses 200A JSON array of result objects. 304Not Modified 400Bad Request: a parameter is missing or invalid. 401Unauthorized: no token was provided, or the token is invalid. 403Forbidden: the user associated with the token lacks the required permission, or the request comes from an IP address that is not in the token's IP allow-list. 429Too Many Requests: the rate limit has been exceeded. Retry after the time in X-RateLimit-Retry-After. 500Internal Server Error: an unexpected error occurred.Updated about 3 hours ago Did this page help you?YesNo